Page MenuHomePhabricator

Single Edit Tab dialog box should go away when I go back to Read mode
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Get the SET dialog box with four choices when opening the page to edit.
  2. Go 'back' (via browser) to Read mode.
  3. But I still have to answer the dialog box:

This is somewhat related to T130168: VisualEditor "Editing tabs" dialog should be easy to dismiss. (The Escape key closes the dialog box in both Read and Edit modes for me; this is an improvement compared to about a month ago. Just clicking outside the box still doesn't work, though.)

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 12 2016, 7:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Poyekhali triaged this task as Normal priority.Apr 13 2016, 3:05 AM
Poyekhali added a subscriber: Poyekhali.

Change 283334 had a related patch set uploaded (by Alex Monk):
Close VE SET dialog when we deactivate

https://gerrit.wikimedia.org/r/283334

Jdforrester-WMF closed this task as Resolved.Apr 17 2016, 5:36 PM
Jdforrester-WMF set the point value for this task to 1.

Change 283334 merged by jenkins-bot:
Close VE SET dialog when we deactivate

https://gerrit.wikimedia.org/r/283334

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 12:11 AM